Spark Support Matrix

This matrix shows the interoperability between Spark and other ecosystem products.

This page shows the version of Spark that works with other ecosystem components, and it applies to MapR versions 5.1 and below. See also Hive and HCatalog Support Matrix. For more recent versions of MapR, see the MEP Components and OS Support.

Compatible Product Product Version Spark 0.9.2 Spark 1.0.2 Spark 1.1 Spark 1.2.1 Spark 1.3.1 Spark 1.4.1 Spark 1.5.2 Spark 1.6.1
HBase 0.92.2 No No No No No No No No
0.94.17 Yes Yes Yes No No No No No
0.94.21 Yes Yes Yes No No No No No
0.94.24 Yes Yes Yes Yes (4.0.1 only) Yes (4.0.1 only) No No No
0.98.4 No Yes Yes No No No No No
0.98.7 No Yes Yes Yes (4.0.x only) Yes (4.0.x only) No No No
0.98.9 No Yes Yes Yes (4.x) Yes (4.x) Yes (4.x) No No
0.98.12 No No No Yes (4.x, 5.0) Yes (4.x, 5.0) Yes (4.x, 5.x) Yes (4.x, 5.x) Yes (5.x)
1.1 No No No No No No Yes (5.1.0) Yes (5.1.0)
Hive2 See Hive and HCatalog Support Matrix.
Hue1 3.8.1 Yes No No No
3.9.0 Yes Yes (5.x) Yes (5.x) Yes (5.x)
Impala 1.1.1 No No No No No No No No
1.2.3 No No No No No No No No
1.4.1 No No No No No No No No
2.2.0 No No No No No No No No
2.5.0 No No No No No No No No
Mahout 0.10 Yes No No No
0.11 Yes Yes3 Yes3 Yes3
0.12         No No No Yes
Oozie 4.1.0 Yes Yes Yes Yes
4.2.0 Yes Yes (5.x) Yes (5.x) Yes (5.x)

1 The Spark Notebook UI in Hue is a beta feature.

2 When you use Spark 1.5.2 with Hive 0.13 or Hive 1.0, Spark SQL insert overwrite operations on Hive tables are not supported for the ORC, RC, and AVRO formats. For more information, see the Spark documentation.

3This combination is supported as of Mahout 0.11.0-1601.

4Livy version is a snapshot.

5MEP 2.0 only.

Change Control Notes

  • This matrix was last updated on December 8, 2016 (Mahout 0.12).